REM Licensed Materials - Property of IBM                             
REM                                                                  
REM 5724-F71 5724-J10                                                          
REM                                                                  
REM (C) Copyright IBM Corporation 2006. All Rights Reserved           
REM                                                                  
REM US Government Users Restricted Rights- Use, duplication or       
REM disclosure restricted by GSA ADP Schedule Contract with IBM      
REM Corp.                                                            
REM                                                                  
REM This is sample code made available for use in accordance with    
REM terms set forth in the license agreement document for the IBM    
REM Express Runtime.                                              
REM ************************************************************************
REM ************************************************************************
REM  The script expects some parameters:
REM      %1 - the full path to the WAS installation directory containing fix pack
REM      Ignores any other parameters

REM This batch file must run in the instance command window
REM ----------------------------------------------------------------------
REM 1. Set WAS environment. 2. Clone Java 2 SDK to update original SDK when install fix pack. 3. Run update.bat.
REM ----------------------------------------------------------------------

if not .%1 == . goto run

REM how help works
:help

echo.
echo IDSScript: this script requires 1 parameter:
echo       1) the full path to the WAS installation directory containing fix pack
echo.
goto end

REM Strip out the double quotes if any exist
:run
set WASInstallLocation=%1
set WASInstallLocation=%WASInstallLocation:"=%

REM Change directory to bin directory in order to run command to set up WebSphere environment
cd %WASInstallLocation%\bin

REM Set up WebSphere environment
call setupCmdLine.bat

REM Change directory to updateinstaller in order to run install command
cd %WASInstallLocation%\updateinstaller

REM Run installer. -W option is used to clone Java 2 SKD in order to update original SDK while installing fix pack
call update -silent -W relaunch.active=false

:end








